globjects::Sampler Class Reference

Wraps OpenGL sampler objects. More...

`#include <globjects/include/globjects/Sampler.h>`

Inheritance diagram for globjects::Sampler:

## Public Member Functions

| Sampler ()
virtual void | accept (ObjectVisitor &visitor) override
void | bind (gl::GLuint unit) const
void | setParameter (gl::GLenum name, gl::GLenum value)
void | setParameter (gl::GLenum name, gl::GLint value)
void | setParameter (gl::GLenum name, gl::GLfloat value)
gl::GLint | getParameteri (gl::GLenum pname) const
gl::GLfloat | getParameterf (gl::GLenum pname) const
virtual gl::GLenum | objectType () const override
Public Member Functions inherited from globjects::Object
gl::GLuint | id () const
std::string | name () const
void | setName (const std::string &name)
bool | hasName () const
bool | isDefault () const
void | detach ()
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Static Public Member Functions

static Sampler * | fromId (gl::GLuint id)
static void | unbind (gl::GLuint unit)
Static Public Member Functions inherited from globjects::Object
static void | hintNameImplementation (NameImplementation impl)

## Protected Member Functions

| Sampler (IDResource *resource)
virtual | ~Sampler ()
Protected Member Functions inherited from globjects::Object
| Object (IDResource *resource)
virtual | ~Object ()
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Additional Inherited Members

Public Types inherited from globjects::Object
enum | NameImplementation { NameImplementation::DebugKHR, NameImplementation::Legacy }
Protected Attributes inherited from globjects::Object
IDResource * | m_resource
void * | m_objectLabelState

## Detailed Description

Wraps OpenGL sampler objects.

See also
  http://www.opengl.org/wiki/Sampler_Object

## Constructor & Destructor Documentation

## Sampler() [1/2]

globjects::Sampler::Sampler | ( |  | ) |

## Sampler() [2/2]

globjects::Sampler::Sampler | ( | IDResource * | resource | ) |

protected

## ~Sampler()

virtual globjects::Sampler::~Sampler | ( |  | ) |

protected virtual

## Member Function Documentation

## fromId()

static Sampler* globjects::Sampler::fromId | ( | gl::GLuint | id | ) |

static

## accept()

virtual void globjects::Sampler::accept | ( | ObjectVisitor & | visitor | ) |

override virtual

Implements globjects::Object.

## bind()

void globjects::Sampler::bind | ( | gl::GLuint | unit | ) | const

## unbind()

static void globjects::Sampler::unbind | ( | gl::GLuint | unit | ) |

static

## setParameter() [1/3]

void globjects::Sampler::setParameter | ( | gl::GLenum | name,
|  | gl::GLenum | value
| ) |  |

## setParameter() [2/3]

void globjects::Sampler::setParameter | ( | gl::GLenum | name,
|  | gl::GLint | value
| ) |  |

## setParameter() [3/3]

void globjects::Sampler::setParameter | ( | gl::GLenum | name,
|  | gl::GLfloat | value
| ) |  |

## getParameteri()

gl::GLint globjects::Sampler::getParameteri | ( | gl::GLenum | pname | ) | const

## getParameterf()

gl::GLfloat globjects::Sampler::getParameterf | ( | gl::GLenum | pname | ) | const

## objectType()

virtual gl::GLenum globjects::Sampler::objectType | ( |  | ) | const

override virtual

Implements globjects::Object.

The documentation for this class was generated from the following file:

- Sampler.h